public class NestedIf {
	public static void main(String[] args) {
		int i = 0;
		if (i == 0)
			if (i != 0)
				System.out.println("test");
		else if (i == 0)
			System.out.println("test");
		else
			System.out.println("test");
		
		if (i == 0)
			switch (i) {
				case 0:
				System.out.println("test");
			}
		else if (i == 0)
			System.out.println("test");
		else
			System.out.println("test");
		
		if (i == 0)
			while (i != 0)
				System.out.println("test");
		else
			System.out.println("test");
		
		if (i == 0)
			do
				System.out.println("test");
			while (i != 0);
		else
			System.out.println("test");
		
		if (i == 0)
			for (i = 0; i < 0; i++)
				System.out.println("test");
		else
			System.out.println("test");
		return 0;
	}
}
